*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    user-select: none;
}

:root {
    --White: #fff;
    --Black: #131316;
    --Red: #ff0000;
    --background-light: #e2dddd;
    --background-main: #3f3f3f;
    --background-medium: #353535;
    --background-dark: #3d3d3d;
    --background-extra-dark: #202020;
    --text-grey: #8b8b8b;
}

label, select {
    font-size: 18px;
    margin: 10px 0;
}

html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  background:var(--background-main);
  font-family: 'Poppins', sans-serif;
  overflow: hidden;
}

.wrapper {
  width: 100%;
  height: auto;
  max-width: 1300px;
  max-height: 1300px;
  min-width: 1024px;
  min-height: 1024px;
  background: var(--background-main);
  transform-origin: center center;
  position: absolute;
  top: 50%;
  left: 50%;
}
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0); 
    pointer-events: none;
    z-index: 1000;
}

.top {
    background: var(--background-dark);
    box-shadow: inset 0 4px 20px var(--background-extra-dark);
    display: flex;
    height: 230px;
    min-height: 230px;
    justify-content: center;
    margin: 10px 10px 0 10px;
    align-items: center;   
}

.top .center{
    height: 100%;
    width: 50%;
    z-index: 100; 
    display: flex;
    flex-direction: column;
    justify-content: flex-start; /* This pushes the content to the bottom */
    align-items: center; /* This horizontally centers the content */
}

.top .left, .top .right{
 align-items: center;   
 justify-content: center;
 width: 25%;
 z-index: 10;
 border-radius: 2px;
 display: flex;
 flex-direction: column;
}
.center .imaa{
    margin-top: 20px;
    text-align: center;
}

.imaa h1{
color: var(--background-light);
font-size: 20px;
opacity: 0.3;
}
.imaa h2{
    color: var(--background-light);
    font-size: 15px;
    opacity: 0.3;
}

.ID {
    background: var(--background-extra-dark);
    width: 70%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 10px;
    box-shadow: 0 1px 20px var(--background-extra-dark);
    font-size: 35px;
    text-align: center;
    font-weight: 400;
    color: var(--White);
    margin-top: 30px;
}

.main{
    width: 100%;
    height: 58%;
    max-height: 780px;
    min-height: 519px;
    display: flex;
    justify-content: space-between;
}
.main .center {
    width: 50%;
    z-index: 100;
}


.main .left, .main .right {
    height: 100%;
    z-index: 10;
    border-radius: 2px;
    width: 25%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.X1, .X2, .X3, .X4, .X5, .X6 {
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 33.3%;
    background: var(--background-dark);
    box-shadow: inset 0 15px 20px var(--background-extra-dark);
    font-size: large;
    transition-duration: 0.5s;
    overflow: hidden;
}

.X1, .X2, .X4, .X5 {
    margin-bottom: 0px;
}

.X1:hover,.X2:hover,.X3:hover,.X4:hover,.X5:hover,.X6:hover {
    background-color: var(--background-extra-dark);
    cursor: pointer;
}

.bottom{
    align-items: center;   
    justify-content: center;
    display: flex;
    background:var(--background-dark);
    box-shadow: inset 0 4px 20px var(--background-extra-dark);
    height: 230px;
    margin: 0 10px 0 10px;
}

.bottom .center{
    width: 50%;
    height: 100%;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.bottom .left, .bottom .right{
height: 100%;
 width: 25%;
 z-index: 10;
 border-radius: 2px;
 display: flex;
 flex-direction: row;
}

.bottom ul {
    padding-top: 10px;
    padding-left: 10px;
    list-style-type: none;
}
.bottom li {
    font-size: 18px; /* Pas de grootte aan zoals gewenst */
    font-weight: 600;
    color: var(--White);
    padding-bottom: 10px;
}
.bottom .identifier {
    font-size: 18px;
    font-weight: 600;
    color: var(--text-grey); /* Pas de kleur aan naar blauw of een andere kleur */
    padding-bottom: 10px;
    list-style-type: none; /* Verwijder opsommingstekens */
}


.line {
    width: 5px;
    height: 85%;
    background: var(--background-extra-dark);
    box-shadow: 0 10px 10px var(--background-extra-dark);
}
canvas {
    display: block;
    margin: 20px auto;
    transform: scaleY(-1); /* Horizontaal spiegelen */
    height: 100%;
    width: 100%;
    box-shadow: inset 0 0 20px 0px var(--background-extra-dark);
    
}
  
.bottom h1{
font-size: 30px;
font-weight: 700;
color: var(--White);
padding-top: 10px;
}


/* Navigatiebalk */
.nav {
    height:45px ;
    min-height: 45px;
    width: 100%;  
    display: flex;
    margin: 3px;
}
.nav .center{
    align-items: center;   
    justify-content: center;
    display: flex;
    width: 50%;
    height: 100%;
}
#waarde {
    font-size: 20px;
    width:200px;
    height: 30px;
    background-color: var(--background-extra-dark);
    padding: 5px;
    border-radius: 5px;
    font-weight: 600;
    color: var(--White);
    display: flex;
    justify-content: center;
    align-items: center;
}
.nav .left{
    align-items: center;   
    justify-content: left;
    display: flex;
    margin-left: 25px;
    height: 100%;
    width: 25%;
}
.nav .right{
    align-items: center;
    justify-content: right;
    display: flex;
    margin-right: 25px;
    height: 100%;
    width: 25%;
}
.settings,.shutdown{
    height: 45px;
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.settings img,.shutdown img{
    width: 90%;
    height: 90%;
    object-fit: cover;
}
.shutdown:hover,.settings:hover{
    cursor: pointer;
}



/* Foutmeldingen */
#Alerts {
    position: fixed;
    bottom: 0;   
    left: 50%;   
    transform: translateX(-50%); 
    z-index: 1000; 
    width: auto;     
    padding: 10px;  
    background-color: transparent;
    color: white;
    text-align: center;  
    border-radius: 5px;
    display: flex; 
    flex-direction: column;
    align-items: center;
    gap: 10px;   
}
#alarm1,#alarm2,#alarm3,#alarm4,#alarm5,#alarm6,#alarm7,#alarm8,#alarm9,#alarm10,#alarm11,#alarm12,#alarm13,#alarm14 {
    width: 400px;
    text-align: center;
    background-color: rgba(255, 0, 0, 0.63);
    color: white;
    padding: 10px;
    z-index: 1100;
    border-radius: 5px;
    font-size: 16px; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    animation: slideUp 1s forwards;
}










